Get detection settings
curl --request GET \
--url https://api.tuteliq.ai/api/v1/settings/detection \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tuteliq.ai/api/v1/settings/detection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/settings/detection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/settings/detection")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.tuteliq.ai/api/v1/settings/detection")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/settings/detection");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"enabled_endpoints": [
"bullying"
],
"disabled_endpoints": [
"bullying"
],
"default_context": {
"age_group": "<string>",
"platform": "<string>",
"country": "<string>"
},
"default_flag_profanity": true,
"available_endpoints": [
"<string>"
],
"updated_at": "<string>"
}Get detection settings
Get your account-level detection settings. These control which detection endpoints are active for your account. Disabled endpoints are automatically skipped in /analyse/multi and return not_detected on individual calls.
GET
/
api
/
v1
/
settings
/
detection
Get detection settings
curl --request GET \
--url https://api.tuteliq.ai/api/v1/settings/detection \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tuteliq.ai/api/v1/settings/detection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/settings/detection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/settings/detection")
.get()
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.tuteliq.ai/api/v1/settings/detection")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/settings/detection");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"enabled_endpoints": [
"bullying"
],
"disabled_endpoints": [
"bullying"
],
"default_context": {
"age_group": "<string>",
"platform": "<string>",
"country": "<string>"
},
"default_flag_profanity": true,
"available_endpoints": [
"<string>"
],
"updated_at": "<string>"
}Authorizations
bearerAuthapiKeyHeader
API key as Bearer token
Response
200 - application/json
Default Response
Only these endpoints will run (whitelist mode)
Available options:
bullying, grooming, unsafe, social-engineering, app-fraud, romance-scam, mule-recruitment, gambling-harm, coercive-control, vulnerability-exploitation, radicalisation, distress-signals, tfgbv, synthetic-content These endpoints are skipped (blacklist mode)
Available options:
bullying, grooming, unsafe, social-engineering, app-fraud, romance-scam, mule-recruitment, gambling-harm, coercive-control, vulnerability-exploitation, radicalisation, distress-signals, tfgbv, synthetic-content Show child attributes
Show child attributes
Account-level default for options.flag_profanity on /bullying and /unsafe. A request that sets options.flag_profanity explicitly always overrides this.
All available detection endpoints